-------------------------------------------- EXTENSION FROM MOREBUNKERSILOMOD BY DERELKY - PERMISSION GIVEN --------------------------
-- (MoreBunkersilo Mod by derelky)
-- (Help to register new fillTypes by Wopster)
-- (Version 1.0 initial Release LS19)

local modDirectory = g_currentModDirectory

function addtoseasonseconomy(mission)
		if g_seasons == nil then
		else
			if g_seasons.economy.data.repricing.fillTypes.TISSUE  == nil then
				g_seasons.economy.data.repricing.fillTypes.TISSUE = {}
				for i,j in pairs(g_seasons.economy.data.repricing.fillTypes.EGG) do
				g_seasons.economy.data.repricing.fillTypes.TISSUE[i]=j
				end
			end
		end	
end

function load(id, xmlFile, key,customEnvironment)
	-- Add the new Filltype to the SellingStations
		local hasegg =false
		local hastissue=false
		
		local object=id
			
		
		if object == nil then
		else
		hasegg =false
		hastissue=false
			for i,filltype in pairs(object.acceptedFillTypes) do
					
			local fillname=g_fillTypeManager.indexToName[i]

			if fillname == "EGG" then
				hasegg=true
							
			end
			if fillname == "TISSUE" then
				hastissue=true
							
			end
			
			end
			
			if hasegg and not hastissue then
				--add hastissue to the same SellingStation that accept EGG
				local filltypen = g_fillTypeManager:getFillTypeIndexByName("TISSUE")
				local price = g_fillTypeManager:getFillTypeByName("TISSUE").pricePerLiter
				object:addAcceptedFillType(filltypen,price,true,false)
				object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("TISSUE")]=object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("EGG")]
				object:initPricingDynamics()
			end
			
		end
end

-- Hook here
Mission00.loadItemsFinished = Utils.prependedFunction(Mission00.loadItemsFinished, addtoseasonseconomy)
SellingStation.load = Utils.appendedFunction(SellingStation.load, load)
